bitel.billing.server.card.bean

## Class DealerUtils

- java.lang.Object
- - bitel.billing.server.card.bean.DealerUtils

-     public class DealerUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEALER_TYPEMASK_CARDSALE`
    `static int` | `DEALER_TYPEMASK_PAYMENTS`
    `static java.lang.String` | `ERR_ALREADYCANSELED`
    `static java.lang.String` | `ERR_ALREADYCANSELED_CODE`
    `static java.lang.String` | `ERR_BALANCE`
    `static java.lang.String` | `ERR_BALANCE_CODE`
    `static java.lang.String` | `ERR_CONTRACTNOTFOUND`
    `static java.lang.String` | `ERR_CONTRACTNOTFOUND_CODE`
    `static java.lang.String` | `ERR_IP`
    `static java.lang.String` | `ERR_IP_CODE`
    `static java.lang.String` | `ERR_LOGIN`
    `static java.lang.String` | `ERR_LOGIN_CODE`
    `static java.lang.String` | `ERR_MID`
    `static java.lang.String` | `ERR_MID_CODE`
    `static java.lang.String` | `ERR_OUTOFPERIOD`
    `static java.lang.String` | `ERR_OUTOFPERIOD_CODE`
    `static java.lang.String` | `ERR_PARAM`
    `static java.lang.String` | `ERR_PARAM_CODE`
    `static java.lang.String` | `ERR_PASS`
    `static java.lang.String` | `ERR_PASS_CODE`
    `static java.lang.String` | `ERR_PASSLIM`
    `static java.lang.String` | `ERR_PASSLIM_CODE`
    `static java.lang.String` | `ERR_PAYMENTNOTFOUND`
    `static java.lang.String` | `ERR_PAYMENTNOTFOUND_CODE`
    `static java.lang.String` | `ERR_TIMEDOUT`
    `static java.lang.String` | `ERR_TIMEDOUT_CODE`
    `static java.lang.String` | `ERR_TOOMUCHRESULT`
    `static java.lang.String` | `ERR_TOOMUCHRESULT_CODE`
    `static java.lang.String` | `ERR_TRANSNUMBER`
    `static java.lang.String` | `ERR_TRANSNUMBER_CODE`
    `static java.lang.String` | `ERR_WRONGACTION`
    `static java.lang.String` | `ERR_WRONGACTION_CODE`
    `static int` | `MAXERROR`
    `static int` | `PAY_ALL`
    `static int` | `PAY_CANSELED`
    `static int` | `PAY_PAYED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DealerUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getPaymentComment(java.lang.String pattern, java.lang.String contract, java.lang.String dealer, float summ, java.lang.String trans, java.lang.String comment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERR_LOGIN

          public static final java.lang.String ERR_LOGIN

      See Also:
        Constant Field Values

    - #### ERR_LOGIN_CODE

          public static final java.lang.String ERR_LOGIN_CODE

      See Also:
        Constant Field Values

    - #### ERR_PASS

          public static final java.lang.String ERR_PASS

      See Also:
        Constant Field Values

    - #### ERR_PASS_CODE

          public static final java.lang.String ERR_PASS_CODE

      See Also:
        Constant Field Values

    - #### ERR_PARAM

          public static final java.lang.String ERR_PARAM

      See Also:
        Constant Field Values

    - #### ERR_PARAM_CODE

          public static final java.lang.String ERR_PARAM_CODE

      See Also:
        Constant Field Values

    - #### ERR_OUTOFPERIOD

          public static final java.lang.String ERR_OUTOFPERIOD

      See Also:
        Constant Field Values

    - #### ERR_OUTOFPERIOD_CODE

          public static final java.lang.String ERR_OUTOFPERIOD_CODE

      See Also:
        Constant Field Values

    - #### ERR_IP

          public static final java.lang.String ERR_IP

      See Also:
        Constant Field Values

    - #### ERR_IP_CODE

          public static final java.lang.String ERR_IP_CODE

      See Also:
        Constant Field Values

    - #### ERR_PASSLIM

          public static final java.lang.String ERR_PASSLIM

      See Also:
        Constant Field Values

    - #### ERR_PASSLIM_CODE

          public static final java.lang.String ERR_PASSLIM_CODE

      See Also:
        Constant Field Values

    - #### ERR_WRONGACTION

          public static final java.lang.String ERR_WRONGACTION

      See Also:
        Constant Field Values

    - #### ERR_WRONGACTION_CODE

          public static final java.lang.String ERR_WRONGACTION_CODE

      See Also:
        Constant Field Values

    - #### ERR_CONTRACTNOTFOUND

          public static final java.lang.String ERR_CONTRACTNOTFOUND

      See Also:
        Constant Field Values

    - #### ERR_CONTRACTNOTFOUND_CODE

          public static final java.lang.String ERR_CONTRACTNOTFOUND_CODE

      See Also:
        Constant Field Values

    - #### ERR_TOOMUCHRESULT

          public static final java.lang.String ERR_TOOMUCHRESULT

      See Also:
        Constant Field Values

    - #### ERR_TOOMUCHRESULT_CODE

          public static final java.lang.String ERR_TOOMUCHRESULT_CODE

      See Also:
        Constant Field Values

    - #### MAXERROR

          public static final int MAXERROR

      See Also:
        Constant Field Values

    - #### ERR_TRANSNUMBER

          public static final java.lang.String ERR_TRANSNUMBER

      See Also:
        Constant Field Values

    - #### ERR_TRANSNUMBER_CODE

          public static final java.lang.String ERR_TRANSNUMBER_CODE

      See Also:
        Constant Field Values

    - #### ERR_PAYMENTNOTFOUND

          public static final java.lang.String ERR_PAYMENTNOTFOUND

      See Also:
        Constant Field Values

    - #### ERR_PAYMENTNOTFOUND_CODE

          public static final java.lang.String ERR_PAYMENTNOTFOUND_CODE

      See Also:
        Constant Field Values

    - #### ERR_ALREADYCANSELED

          public static final java.lang.String ERR_ALREADYCANSELED

      See Also:
        Constant Field Values

    - #### ERR_ALREADYCANSELED_CODE

          public static final java.lang.String ERR_ALREADYCANSELED_CODE

      See Also:
        Constant Field Values

    - #### ERR_TIMEDOUT

          public static final java.lang.String ERR_TIMEDOUT

      See Also:
        Constant Field Values

    - #### ERR_TIMEDOUT_CODE

          public static final java.lang.String ERR_TIMEDOUT_CODE

      See Also:
        Constant Field Values

    - #### ERR_MID

          public static final java.lang.String ERR_MID

      See Also:
        Constant Field Values

    - #### ERR_MID_CODE

          public static final java.lang.String ERR_MID_CODE

      See Also:
        Constant Field Values

    - #### ERR_BALANCE

          public static final java.lang.String ERR_BALANCE

      See Also:
        Constant Field Values

    - #### ERR_BALANCE_CODE

          public static final java.lang.String ERR_BALANCE_CODE

      See Also:
        Constant Field Values

    - #### PAY_ALL

          public static final int PAY_ALL

      See Also:
        Constant Field Values

    - #### PAY_CANSELED

          public static final int PAY_CANSELED

      See Also:
        Constant Field Values

    - #### PAY_PAYED

          public static final int PAY_PAYED

      See Also:
        Constant Field Values

    - #### DEALER_TYPEMASK_CARDSALE

          public static final int DEALER_TYPEMASK_CARDSALE

      See Also:
        Constant Field Values

    - #### DEALER_TYPEMASK_PAYMENTS

          public static final int DEALER_TYPEMASK_PAYMENTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DealerUtils

          public DealerUtils()

  - ### Method Detail

    - #### getPaymentComment

          public static java.lang.String getPaymentComment(java.lang.String pattern,
                                                           java.lang.String contract,
                                                           java.lang.String dealer,
                                                           float summ,
                                                           java.lang.String trans,
                                                           java.lang.String comment)